| CMSIS-DSP Verison 1.4.1 CMSIS DSP Software Library

- CMSIS
- CORE
- DSP
- RTOS API
- SVD

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_biquad_casd_df1_inst_q15 Struct Reference

Instance structure for the Q15 Biquad cascade filter.

## Data Fields
int8_t | numStages
q15_t * | pState
q15_t * | pCoeffs
int8_t | postShift

## Field Documentation

int8_t arm_biquad_casd_df1_inst_q15::numStages

number of 2nd order stages in the filter. Overall order is 2*numStages.

Referenced by arm_biquad_cascade_df1_fast_q15(), arm_biquad_cascade_df1_init_q15(), and arm_biquad_cascade_df1_q15().

q15_t* arm_biquad_casd_df1_inst_q15::pCoeffs

Points to the array of coefficients. The array is of length 5*numStages.

Referenced by arm_biquad_cascade_df1_fast_q15(), arm_biquad_cascade_df1_init_q15(), and arm_biquad_cascade_df1_q15().

int8_t arm_biquad_casd_df1_inst_q15::postShift

Additional shift, in bits, applied to each output sample.

Referenced by arm_biquad_cascade_df1_fast_q15(), arm_biquad_cascade_df1_init_q15(), and arm_biquad_cascade_df1_q15().

q15_t* arm_biquad_casd_df1_inst_q15::pState

Points to the array of state coefficients. The array is of length 4*numStages.

Referenced by arm_biquad_cascade_df1_fast_q15(), arm_biquad_cascade_df1_init_q15(), and arm_biquad_cascade_df1_q15().